%define upstream_name    Math-CDF
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate probabilities and quantiles from several 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module provides a perl interface to the DCDFLIB. See the section on
the DCDFLIB manpage for more information.

Functions are available for 7 continuous distributions (Beta, Chi-square,
F, Gamma, Normal, Poisson and T-distribution) and for two discrete
distributions (Binomial and Negative Binomial). Optional non-centrality
parameters are available for the Chi-square, F and T-distributions.
Cumulative probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

All cumulative probability function names begin with the character "p".
They give the probability of being less than or equal to the given value [
'P(X <= x)' ]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1029584
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 957692
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-3.mga6
+ Revision: 842678
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 748024
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.100.0-1.mga5
+ Revision: 736298
- imported package perl-Math-CDF


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 0.100.0-1.mga5
- initial mageia release, generated with cpan2dist
